
#include "kolibri.h"
#include "stdlib.h"
#include "string.h"

#include "globals.h"

#include "console.c"

#include "cmd_about.c"
#include "cmd_help.c"
#include "cmd_ver.c"
#include "cmd_pwd.c"
#include "cmd_ls.c"
#include "cmd_ps.c"
#include "cmd_kill.c"
#include "cmd_echo.c"
#include "cmd_date.c"
#include "cmd_exit.c"
#include "cmd_cd.c"
#include "cmd_free.c"
#include "cmd_reboot.c"
#include "cmd_mkdir.c"
#include "cmd_rmdir.c"
#include "cmd_rm.c"
#include "cmd_touch.c"
#include "cmd_alias.c"

#include "module_command.c"
#include "module_program.c"
#include "module_script.c"
#include "module_executable.c"
#include "module_alias.c"

/// ===========================================================

int file_check(char file[]);
int dir_check(char dir[]);
void dir_truncate(char dir[]);
int iswhite(char c);
void trim(char string[]);
void execute();
void kol_main();

int executable_run(char cmd[], char args[]);

void command_execute();
void command_get();
int command_get_cmd(char cmd[]);

int script_check(char file[]);
int script_run(char exec[], char args[]);

int aliases_check(char alias[]);
