

int cmd_help(char cmd[])
{

int i;
const NUM_OF_CMD = 18; 
const char commands[][10]=
{
"about",
"alias",
"cd",
"date",
"echo",
"exit",
"free",
"help",
"kill",
"ls",
"mkdir",
"ps",
"pwd",
"reboot",
"rm",
"rmdir",
"touch",
"ver"
};

const char desc [][70]=
{
"  Displays information about the program\n\r",
"  Allows the user view the current aliases\n\r",
"  Changes directories\n\r",
"  Returns the date and time\n\r",
"  Echoes the data to the screen\n\r",
"  Exits program\n\r",
"  Displays total, free and used memory\n\r",
"  Gives help\n\r",
"  Stops a running process\n\r",
"  Lists the files in a directory\n\r",
"  Makes directory\n\r",
"  Lists the current processes running\n\r",
"  Displays the name of the working directory\n\r",
"  Reboots the computer\n\r",
"  Removes files\n\r",
"  Removes directories\n\r",
"  Creates an empty file or updates the time/date stamp on a file\n\r",
"  Displays version\n\r"
};

char available[]={"  %d commands available:\n\r"};

if (NULL == cmd)
	{
	printf (available, NUM_OF_CMD);
	for (i = 0; i < NUM_OF_CMD; i++)
		printf("    %s\n\r", commands[i]);
	}
else
	{
	for (i=0; i<NUM_OF_CMD; i++)
		if ( !strcmp(cmd, commands[i]) )
			{
			printf(desc[i]);
			return TRUE;
			}

	printf ("  Command \'%s\' not found.\n\r", cmd);
	printf (available, NUM_OF_CMD);
	for (i = 0; i < NUM_OF_CMD; i++)
		printf("    %s\n\r", commands[i]);
	}

return FALSE;
}
